Update Setting
curl --request PUT \
--url https://api.example.com/cabinet/admin/settings/{key} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "<unknown>"
}
'import requests
url = "https://api.example.com/cabinet/admin/settings/{key}"
payload = { "value": "<unknown>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<unknown>'})
};
fetch('https://api.example.com/cabinet/admin/settings/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": "<string>",
"name": "<string>",
"category": {
"key": "<string>",
"label": "<string>"
},
"type": "<string>",
"is_optional": true,
"has_override": true,
"current": "<unknown>",
"original": "<unknown>",
"read_only": false,
"choices": [
{
"value": "<unknown>",
"label": "<string>",
"description": "<string>"
}
],
"hint": {
"description": "",
"format": "",
"example": "",
"warning": ""
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Admin Settings
Update Setting
Update a setting value.
PUT
/
cabinet
/
admin
/
settings
/
{key}
Update Setting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request to update setting value.
Response
Successful Response
Full setting definition with current state.
Reference to category.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Setting hints and guidance.
Show child attributes
Show child attributes
⌘I
